//域名查询脚本函数文件
function checkDomain(checkValueIndex, checkvalue, SDomain, LoadingMsg) {//查询域名
    chk_value = checkvalue.split(",");
    if (chk_value[checkValueIndex]) {
        AjaxForDomainAppend(60000, "/common/ashx/global.ashx", { "action": "CheckDomain", "DomainRoot": chk_value[checkValueIndex], "Domain": SDomain, "BackString": "<div style=\"padding:5px;border-bottom:1px solid #ccc;\"><li style=\"float:left;\">[Domain]</li><li style=\"float:right;\">[Rel]</li><div  style=\"clear:both;\"></div></div>" }, $(".shadeMsg"), "<div style=\"padding:5px;border-bottom:1px solid #ccc;\"><li style=\"float:left;\">" + SDomain + "</li><li style=\"float:right;\">查询超时</li><div  style=\"clear:both;\"></div></div>", checkValueIndex == chk_value.length - 1 ? LoadingMsg : "");
        setTimeout("checkDomain(" + (checkValueIndex + 1).toString() + ",'" + checkvalue + "','" + SDomain + "','" + LoadingMsg + "')",2*1000);
    }
}
function jqchk(dNameId, dRootInputName) {//复选框操作
    var chk_value = [];
    $("input[name=\"" + dRootInputName + "\"]:checked").each(function () {
        chk_value.push($(this).val());
    });
    var msgstr = "";
    
    var SDomain = $("#" + dNameId).val();

    if (SDomain == "" || SDomain.length <= 0) {
        msgstr = "<img src=\"/common/images/false.png\"> 请输入要查询的域名！";
        showDiv(msgstr,true);
        return;
    }
    if (chk_value.length == 0) {
        msgstr = "<img src=\"/common/images/false.png\"> 请选择要查询的域名！";
        showDiv(msgstr,true);
        return;
    }
    var LoadingMsg = "<img src=\"/common/images/loading.gif\"> 查询中，请稍候...<br><br>小贴士：同时查询选项越多查询时间越久，建议减少查询域名类型数量。";
    showDiv(LoadingMsg,true);
    checkDomain(0, chk_value.toString(), SDomain, LoadingMsg);
}